PUT /api/v202110/place/energyStar/unlink

Unlinks a list of places and their child meters from ENERGY STAR Portfolio Manager

UnlinkPlacesAndChildMetersFromEnergyStarV202110 Permissions: BuildingsAndOrganizations (Edit)
Use this endpoint to bulk-unlink multiple places and all their associated meters from Portfolio Manager. Triggers recalculation of meter and place user-defined auto groups after unlinking.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}